#!/bin/bash

export PROJECT_ROOT='./'
export HYDRA_FULL_ERROR=1
export IMAGENET_DIR=./data/ILSVRC/Data/CLS-LOC


target=0.12
thres=0.04
rpc=1
lr=1e-3
python3 -u run.py experiment=imagenet/vit/vit-b-gaudi +task_name="imagenet-vit-b-gaudi" datamodule.data_dir=$IMAGENET_DIR callbacks.shrink.thres=$thres callbacks.shrink.target_width=$target trainer.devices=8 trainer.num_nodes=1 datamodule.num_workers=4 +trainer.strategy="ddp"  model.mlp_cfg.linear1_cfg.width_learning_rate=$lr +model.mlp_cfg.linear1_cfg.custom_grad=False


target=0.13
thres=0.04
rpc=1
lr=1e-3
python3 -u run.py experiment=imagenet/vit/vit-b-gaudi +task_name="imagenet-vit-b-gaudi" datamodule.data_dir=$IMAGENET_DIR callbacks.shrink.thres=$thres callbacks.shrink.target_width=$target trainer.devices=8 trainer.num_nodes=1 datamodule.num_workers=4 +trainer.strategy="ddp"  model.mlp_cfg.linear1_cfg.width_learning_rate=$lr +model.mlp_cfg.linear1_cfg.custom_grad=True

